<?php
/**
 * Createing an about us pannel for customizer
 */

// START ABOUT SECTION 
    $wp_customize->add_section(
        'lz_fitness_premium_ourfeatureshmp_section',
        array(
            'title' => __( 'Our Features Section', 'luzuk-premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'lz_fitness_premium_ourfeatureshmp_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'lz_fitness_premium_ourfeatureshmp_section_disable',
            array(
                'settings'      => 'lz_fitness_premium_ourfeatureshmp_section_disable',
                'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );

// lzCustomLable($wp_customize, 'lz_fitness_features_sectionbackgroundhghtbxdisplay', 'lz_fitness_premium_ourfeatureshmp_section', 'Background Manager For Section Title & Subtitle Box');

// backgroundManager($wp_customize, 'features', 'lz_fitness_premium_ourfeatureshmp_section', $color='#5e3cad', get_template_directory_uri().'/images/default-gray.png', 'img');
// // for gradiant

// $wp_customize->add_setting(
//     'lz_fitness_features_bg_color_one', array(
//         'default'           => '#5127c3',
//         'sanitize_callback' => 'sanitize_hex_color',
//     )
// );
// $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'lz_fitness_features_bg_color_one',array(
//             'settings'      => 'lz_fitness_features_bg_color_one',
//             'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
//             'label'         => __( 'Background Gradient Color One ', 'Luzuk Premium' ),
//         )
//     )
// );

// $wp_customize->add_setting(
//     'lz_fitness_features_bg_color_two', array(
//         'default'           => '#c166ef',
//         'sanitize_callback' => 'sanitize_hex_color',
//     )
// );
// $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'lz_fitness_features_bg_color_two',array(
//             'settings'      => 'lz_fitness_features_bg_color_two',
//             'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
//             'label'         => __( 'Background Gradient Color Two ', 'Luzuk Premium' ),
//         )
//     )
// ); 
lzCustomLable($wp_customize, 'lz_fitness_features_sectionbackgrounddisplay', 'lz_fitness_premium_ourfeatureshmp_section', 'Background Manager For Complete Section');

backgroundManager($wp_customize, 'features_sub', 'lz_fitness_premium_ourfeatureshmp_section', $color='#edecf4', get_template_directory_uri().'/images/default-gray.png', 'img');

// to show & hide another button
$wp_customize->add_setting( 'featuresmainsecanimation_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'featuresmainsecanimation_button_display', array( 'label' => 'Animation Display Setting', 'section' => 'lz_fitness_premium_ourfeatureshmp_section', 'settings' => 'featuresmainsecanimation_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Start animation', 'hide' => 'Stop Animation', ), ) ); 
// end to show & hide button

addColorPalatOption($wp_customize, 'lz_fitness_featuresan_animationboxColor', 'lz_fitness_premium_ourfeatureshmp_section', 'Select animated box color','#e7ccf7');

$wp_customize->add_setting(
        'lz_fitness_features_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
$wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_features_title_heading',
            array(
                'settings'      => 'lz_fitness_features_title_heading',
                'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
                'label'         => __( 'Features Section Title & Subtitle', 'luzuk-premium' ),
            )
        )
    );    
$wp_customize->add_setting(
        'lz_fitness_ourfeatureshmp_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Our Features', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_ourfeatureshmp_title',
        array(
            'settings'      => 'lz_fitness_ourfeatureshmp_title',
            'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
            'type'          => 'text',
            'label'         => __( 'Title for section', 'luzuk-premium' )
        )
    );

   addColorPalatOption($wp_customize, 'lz_fitness_ourfeatureshmp_MainHeadingColor', 'lz_fitness_premium_ourfeatureshmp_section', 'Section Title color ', '#313131');
 
    lzAddElement($wp_customize, 'lz_fitness_ourfeatureshmp_sub_title', 'lz_fitness_premium_ourfeatureshmp_section', 'textarea', $label="Sub Title", 'lz_fitness_sanitize_text', 'Pisum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat.');
    
addColorPalatOption($wp_customize, 'lz_fitness_ourfeatureshmp_MainsubHeadingColor', 'lz_fitness_premium_ourfeatureshmp_section', 'Section Sub Title color ', '#6d6c6c');

  

$wp_customize->add_setting('lz_fitness_ourfeatureshmp_section_iconntnlbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'lz_fitness_ourfeatureshmp_section_iconntnlbl',
        array(
            'settings'      => 'lz_fitness_ourfeatureshmp_section_iconntnlbl',
            'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
            'label'         => __( 'Note:', 'luzuk-premium' ),    
            'description'   => __( 'Changes Will not reflect untill you select fontawesome icon', 'luzuk-premium' ),
        )
    )
);

lzCustomLable($wp_customize, 'lz_fitness_leftfeaturesplnbx', 'lz_fitness_premium_ourfeatureshmp_section', 'Our Features Left Boxes:');


$wp_customize->add_setting('lz_fitness_ourfeatureshmp_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_ourfeatureshmp_npp_heading',
        array(
            'settings'      => 'lz_fitness_ourfeatureshmp_npp_heading',
            'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
            'label'         => __( 'Number Of Facility Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_ourfeatureshmp_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 2));
$wp_customize->add_control(
    'lz_fitness_ourfeatureshmp_npp_count',
    array(
        'settings'      => 'lz_fitness_ourfeatureshmp_npp_count',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_ourfeatureshmp_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_ourfeatureshmp_header'.$i,
            array(
                'settings'      => 'lz_fitness_ourfeatureshmp_header'.$i,
                'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
                'label'         => __( 'Features Page ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'lz_fitness_ourfeatureshmp_page_icon'.$i,
        array(
            'default'           => 'fa fa-gavel',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'lz_fitness_ourfeatureshmp_page_icon'.$i,
            array(
                'settings'      => 'lz_fitness_ourfeatureshmp_page_icon'.$i,
                'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    ); 

lzAddElement($wp_customize, 'lz_fitness_ourfeatureshmp_page_title'.$i, 'lz_fitness_premium_ourfeatureshmp_section', $type = 'text', $label="Facility Page Title", $callback ='lz_fitness_sanitize_text', $default='SEM Marketing');
    
lzAddElement($wp_customize, 'lz_fitness_ourfeatureshmp_page_url'.$i, 'lz_fitness_premium_ourfeatureshmp_section', $type = 'text', $label="Features Page Link", $callback ='esc_url', $default='Add link here');


}

lzCustomLable($wp_customize, 'homepagepetfacilitycenterimg_button_displaysets', 'lz_fitness_premium_ourfeatureshmp_section', 'Section Center Image Display Setting:');

// to show & hide another button
$wp_customize->add_setting( 'homepagepetfacilitycenterimg_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'homepagepetfacilitycenterimg_button_display', array( 'label' => 'Image Display', 'section' => 'lz_fitness_premium_ourfeatureshmp_section', 'settings' => 'homepagepetfacilitycenterimg_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image', 'hide' => 'Hide Image', ), ) ); 
// end to show & hide button


$wp_customize->add_setting(
    'lz_fitness_ourfeatureshmp_centerimg_image_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_ourfeatureshmp_centerimg_image_heading',
        array(
            'settings'      => 'lz_fitness_ourfeatureshmp_centerimg_image_heading',
            'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
            'label'         => __( 'Center Image', 'lz-fitness-premium' ),
        )
    )
);
$wp_customize->add_setting(
    'lz_fitness_ourfeatureshmp_centerimg_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'lz_fitness_ourfeatureshmp_centerimg_image',
        array(
            'section' => 'lz_fitness_premium_ourfeatureshmp_section',
            'settings' => 'lz_fitness_ourfeatureshmp_centerimg_image',
            'description' => __('Recommended Image Size: 615X535px', 'lz-fitness-premium')
        )
    )
);

lzCustomLable($wp_customize, 'lz_fitness_rightfeaturesplnbx', 'lz_fitness_premium_ourfeatureshmp_section', 'Our Features Right Boxes:');



$wp_customize->add_setting('lz_fitness_ourfeaturesright_npp_heading1',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_ourfeaturesright_npp_heading1',
        array(
            'settings'      => 'lz_fitness_ourfeaturesright_npp_heading1',
            'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
            'label'         => __( 'Number Of Facility Plans', 'gurukul' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_ourfeaturesright_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 2));
$wp_customize->add_control(
    'lz_fitness_ourfeaturesright_npp_count',
    array(
        'settings'      => 'lz_fitness_ourfeaturesright_npp_count',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'gurukul' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//FEATURED PAGES left
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_ourfeaturesright_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_ourfeaturesright_header'.$i,
            array(
                'settings'      => 'lz_fitness_ourfeaturesright_header'.$i,
                'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
                'label'         => __( 'Features Page ', 'gurukul' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'lz_fitness_ourfeaturesright_page_icon'.$i,
        array(
            'default'           => 'fa fa-wifi',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'lz_fitness_ourfeaturesright_page_icon'.$i,
            array(
                'settings'      => 'lz_fitness_ourfeaturesright_page_icon'.$i,
                'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'gurukul' ),
            )
        )
    );


lzAddElement($wp_customize, 'lz_fitness_ourfeaturesright_page_title'.$i, 'lz_fitness_premium_ourfeatureshmp_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='Internet WiFi');

lzAddElement($wp_customize, 'lz_fitness_ourfeaturesright_page_url'.$i, 'lz_fitness_premium_ourfeatureshmp_section', $type = 'text', $label="Features Page Link", $callback ='esc_url', $default='Add link here');
    
}

addColorPalatOption($wp_customize, 'lz_fitness_featuressecIconc_Color', 'lz_fitness_premium_ourfeatureshmp_section', 'Select Page Icon color', '#5e3cad');
addColorPalatOption($wp_customize, 'lz_fitness_featuressecIconhvrssc_Color', 'lz_fitness_premium_ourfeatureshmp_section', 'Select Page Icon Hover color', '#000');

addColorPalatOption($wp_customize, 'lz_fitness_featuressecttl_Color', 'lz_fitness_premium_ourfeatureshmp_section', 'Select Page Title color', '#5e3cad');
addColorPalatOption($wp_customize, 'lz_fitness_featuressecttlhv_Color', 'lz_fitness_premium_ourfeatureshmp_section', 'Select Page Title Hover color', '#000');
